< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package http
  Definition Classes
    hmrc
-  package controllers
  Definition Classes
    http
-  package hooks
  Definition Classes
    http
-  package logging
  Definition Classes
    http
- BadGatewayException
- BadRequestException
- ConflictException
- CookieNames
- CoreDelete
- CoreGet
- CorePatch
- CorePost
- CorePut
- DeleteHttpTransport
- ExpectationFailedException
- FailedDependencyException
- ForbiddenException
- GatewayTimeoutException
- GetHttpTransport
- GoneException
- HeaderCarrier
- HeaderNames
- HeaderProvider
- HttpClient
- HttpDelete
- HttpErrorFunctions
- HttpException
- HttpGet
- HttpPatch
- HttpPost
- HttpPut
- HttpReads
- HttpReadsEither
- HttpReadsHttpResponse
- HttpReadsInstances
- HttpReadsJson
- HttpReadsLegacyInstances
- HttpReadsLegacyJson
- HttpReadsLegacyOption
- HttpReadsLegacyRawReads
- HttpReadsOption
- HttpReadsTry
- HttpResponse
- HttpTransport
- HttpVerb
- HttpVerbs
- HttpVersionNotSupportedException
- InsufficientStorageException
- InternalServerException
- JsValidationException
- LengthRequiredException
- LockedException
- LowPriorityHttpReadsJson
- MethodNotAllowedException
- NotAcceptableException
- NotFoundException
- NotImplementedException
- PatchHttpTransport
- PaymentRequiredException
- PostHttpTransport
- PreconditionFailedException
- ProxyAuthenticationRequiredException
- PutHttpTransport
- Request
- RequestEntityTooLargeException
- RequestRangeNotSatisfiableException
- RequestTimeoutException
- RequestUriTooLongException
- Retries
- ServiceUnavailableException
- SessionKeys
- Token
- TooManyRequestException
- UnauthorizedException
- UnprocessableEntityException
- UnsupportedMediaTypeException
- Upstream4xxResponse
- Upstream5xxResponse
- UpstreamErrorResponse
- UrlValidationException
- UserId

t

uk.gov.hmrc.http

# HttpPatch 

###

#### trait HttpPatch extends CorePatch with PatchHttpTransport with HttpVerb with ConnectionTracing with HttpHooks with Retries

Linear Supertypes
Retries, HttpHooks, ConnectionTracing, HttpVerb, Request, PatchHttpTransport, CorePatch, AnyRef, Any
Known Subclasses
HttpClient
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HttpPatch
2. Retries
3. HttpHooks
4. ConnectionTracing
5. HttpVerb
6. Request
7. PatchHttpTransport
8. CorePatch
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def actorSystem: ActorSystem
   Attributes
     protected
   Definition Classes
     Retries
2.  abstract def configuration: Option[Config]
   Attributes
     protected
   Definition Classes
     Retries
3.  abstract def doPatch[A](url: String, body: A, headers: Seq[(String, String)] = Seq.empty)(implicit rds: Writes[A], hc: HeaderCarrier, ec: ExecutionContext): Future[HttpResponse]
   Definition Classes
     PatchHttpTransport
4.  abstract val hooks: Seq[HttpHook]
   Definition Classes
     HttpHooks

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val NoneRequired: Seq[HttpHook]
   Definition Classes
     HttpHooks
5.  def PATCH[I, O](url: String, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     HttpPatch → CorePatch
6.  def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]
   Definition Classes
     HttpVerb → Request
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def badGatewayMessage(verbName: String, url: String, e: Exception): String
   Definition Classes
     HttpVerb
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  lazy val connectionLogger: Logger
    Definition Classes
      ConnectionTracing
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def executeHooks(url: String, verb: String, body: Option[_], responseF: Future[HttpResponse])(implicit hc: HeaderCarrier, ec: ExecutionContext): Unit
    Attributes
      protected
    Definition Classes
      HttpHooks
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatMessage(ld: LoggingDetails, method: String, uri: String, startAge: Long, message: String): String
    Definition Classes
      ConnectionTracing
16.  def gatewayTimeoutMessage(verbName: String, url: String, e: Exception): String
    Definition Classes
      HttpVerb
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  lazy val internalHostPatterns: Seq[Regex]
    Definition Classes
      HttpVerb
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def logResult[A](ld: LoggingDetails, method: String, uri: String, startAge: Long)(result: Try[A]): Unit
    Definition Classes
      ConnectionTracing
22.  def mapErrors(httpMethod: String, url: String, f: Future[HttpResponse])(implicit ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      HttpVerb
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def retry[A](verb: String, url: String)(block: ⇒ Future[A])(implicit ec: ExecutionContext): Future[A]
    Definition Classes
      Retries
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  lazy val userAgentHeader: Seq[(String, String)]
    Definition Classes
      HttpVerb
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
33.  def withTracing[T](method: String, uri: String)(body: ⇒ Future[T])(implicit ld: LoggingDetails, ec: ExecutionContext): Future[T]
    Definition Classes
      ConnectionTracing

### Inherited from Retries

### Inherited from HttpHooks

### Inherited from ConnectionTracing

### Inherited from HttpVerb

### Inherited from Request

### Inherited from PatchHttpTransport

### Inherited from CorePatch

### Inherited from AnyRef

### Inherited from Any

### Ungrouped